<!DOCTYPE html>
<html lang="es">
<head>
    <title>contraseña</title>
</head>

<body>
    <script>
        var password = prompt("Escribe tu contraseña");
        var ContMayusculas = ",";
        var ContMinusculas = ",";
        var ContNumero = ",";
        var Comp = false;


        function tryLength(password) {
            var Comp = false;

            if (password.length > 7 || password.length < 21) {


                Comp = true;


            } else {
                Comp = false;
                alert("CONTRASEÑA INCORRECTA DEBE TENER ENTRE 8 Y 20 CARACTERES")
            }
            return Comp;
        }
        function tryCharacter(password) {
            var ContMayusculas = ",";
            var ContMinusculas = ",";
            var ContNumero = ",";
            var Comp = false;


            for (let char of password) {


                if (password[char].charCodeAt() > 65 && password[char].charCodeAt() < 90) {
                    ContMayusculas++;
                    console.log("mayuscula")
                    Comp = true;
                }
                else {
                    Comp = false;
                    alert("Debe tener 1 letra en mayuscula")
                }
                if (password[char].charCodeAt() > 97 && password[char].charCodeAt() < 122) {
                    ContMinusculas++;
                    console.log("Minusculas")
                    Comp = true;
                }
                else {
                    Comp = false;
                    alert("Debe tener como minimo 3 letras minusculas")
                }
                if (password[char].charCodeAt() > 49 && password[char].charCodeAt() < 57) {
                    ContNumero++;
                    console.log("Numeros")
                }
                else {
                    Comp = false;
                    alert("Debe tener 2 digitos")

                }

            }
        }
        function tryRepetition(password) {
            var repeticionLetra=false;

            for(var i=0;i<password.length-2;i++)
            {
                if(password[i]==password[i+1]&&password[i+1]==password[i+2])
                {
                    repeticionLetra=true;
                }
            }
            if(repeticionLetra==true){
                return true
            }
            else return false;

        }
        function main(password) {
            password = prompt("");

           if(tryLength){

           }
           else{}

           if(tryCharacter){

           }
           else{}

           if(tryRepetition){

           }
           else{}
        }
    </script>
</body>
</html>